bitel.billing.server.npay

## Class Recalculator

- java.lang.Object
- - bitel.billing.server.task.bean.RunTask
  - - bitel.billing.server.task.bean.RunTaskRecalculator<ru.bitel.bgbilling.modules.npay.server.Calculator>
    - - bitel.billing.server.npay.Recalculator

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Runnable

      public class Recalculator
      extends RunTaskRecalculator<ru.bitel.bgbilling.modules.npay.server.Calculator>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.task.bean.RunTaskRecalculator

      `dt, email, mid`

    - ### Fields inherited from class bitel.billing.server.task.bean.RunTask

      `log, setup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Recalculator(int mid, java.util.Calendar dt, java.lang.String email, int serviceSet, java.lang.String cids, long contractGroups, java.lang.String comment)`
    `Recalculator(int mid, java.util.Calendar dt, java.lang.String email, int serviceSet, java.lang.String cids, long contractGroups, java.lang.String comment, boolean detail)`
    `Recalculator(int mid, java.util.Calendar dt, java.lang.String email, int serviceSet, java.lang.String cids, java.lang.String comment)`
    `Recalculator(int mid, java.util.Calendar dt, java.lang.String email, int serviceSet, java.lang.String cids, java.lang.String comment, boolean detail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ru.bitel.bgbilling.modules.npay.server.Calculator` | `createTask()`
    `void` | `executeTask()`

    - ### Methods inherited from class bitel.billing.server.task.bean.RunTaskRecalculator

      `getDescription`

    - ### Methods inherited from class bitel.billing.server.task.bean.RunTask

      `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Recalculator

          public Recalculator(int mid,
                              java.util.Calendar dt,
                              java.lang.String email,
                              int serviceSet,
                              java.lang.String cids,
                              java.lang.String comment)

    - #### Recalculator

          public Recalculator(int mid,
                              java.util.Calendar dt,
                              java.lang.String email,
                              int serviceSet,
                              java.lang.String cids,
                              long contractGroups,
                              java.lang.String comment)

    - #### Recalculator

          public Recalculator(int mid,
                              java.util.Calendar dt,
                              java.lang.String email,
                              int serviceSet,
                              java.lang.String cids,
                              java.lang.String comment,
                              boolean detail)

      Parameters:
        `detail` - - если = true, то с детализацией при обсчете.

    - #### Recalculator

          public Recalculator(int mid,
                              java.util.Calendar dt,
                              java.lang.String email,
                              int serviceSet,
                              java.lang.String cids,
                              long contractGroups,
                              java.lang.String comment,
                              boolean detail)

  - ### Method Detail

    - #### executeTask

          public void executeTask()

      Overrides:
        `executeTask` in class `RunTaskRecalculator<ru.bitel.bgbilling.modules.npay.server.Calculator>`

    - #### createTask

          protected ru.bitel.bgbilling.modules.npay.server.Calculator createTask()

      Specified by:
        `createTask` in class `RunTaskRecalculator<ru.bitel.bgbilling.modules.npay.server.Calculator>`